Bug 109474 - [CI][DRMTIP] random tests - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -5 != 0
Summary: [CI][DRMTIP] random tests - fail - Failed assertion: __gem_execbuf(fd, execbu...
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Jon Ewins
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-28 11:18 UTC by Martin Peres
Modified: 2019-08-21 13:30 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, SKL
i915 features: firmware/guc


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-28 11:18:18 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation.html

Starting subtest: multiplane-rotation
(kms_rotation_crc:1321) ioctl_wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ../lib/ioctl_wrappers.c:609:
(kms_rotation_crc:1321) ioctl_wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(kms_rotation_crc:1321) ioctl_wrappers-CRITICAL: error: -5 != 0
Comment 1 CI Bug Log 2019-01-28 11:19:27 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GUC: random tests - fail / dmesg-fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-apl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_flip_tiling@flip-changes-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_lowres@pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_flip@2x-flip-vs-fences.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_flip_tiling@flip-changes-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_lowres@pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_flip@2x-flip-vs-fences.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-apl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-apl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-apl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_flip_tiling@flip-y-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_lowres@pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_lowres@pipe-b-tiling-y.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_lowres@pipe-c-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_multiple@atomic-pipe-a-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_rotation_crc@sprite-rotation-90.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@pm_rpm@gem-execbuf-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_plane_scaling@pipe-b-scaler-with-pixel-format.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_flip@2x-flip-vs-fences.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_flip_tiling@flip-y-tiled.html
Comment 2 CI Bug Log 2019-01-28 11:24:44 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GUC: igt@kms_draw_crc@draw-method - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch->bo, ctx, used, ring)) == 0, Last errno: 5, Input/output error
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-ytiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
Comment 3 Chris Wilson 2019-01-28 11:25:06 UTC
Random tests using GEM without GEM, eh?

Should be papered over with

commit ad4062da1397e32a942191c61de3eabe1fb3664f (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 28 01:02:18 2019 +0000

    drm/i915: Wait for a moment before forcibly resetting the device
    
    During igt, we ask to reset the device if any requests are still
    outstanding at the end of a test, as this quickly kills off any
    erroneous hanging request streams that may escape a test. However, since
    it may take the device a few milliseconds to flush itself after the end
    of a normal test, *cough* guc *cough*, we may accidentally tell the
    device to reset itself after it idles. If we wait a moment, our usual
    I915_IDLE_ENGINES_TIMEOUT of 200ms (seems a bit high, but still better
    than umpteen hangchecks!), we can differentiate better between a stuck
    engine and a healthy one, and so avoid prematurely forcing the reset and
    any extra complications that may entail.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Mika Kuoppala <mika.kuoppala@intel.com>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190128010245.20148-1-chris@chris-wilson.co.uk
Comment 4 CI Bug Log 2019-01-28 13:09:49 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GUC: igt@pm_rpm@gem-idle - fail - Failed assertion: !is_wedged(i915), Last errno: 5, Input/output error
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-apl-guc/igt@pm_rpm@gem-idle.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-apl-guc/igt@pm_rpm@gem-idle.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-skl-guc/igt@pm_rpm@gem-idle.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-skl-guc/igt@pm_rpm@gem-idle.html
Comment 5 CI Bug Log 2019-01-30 08:31:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GUC: igt@kms_draw_crc@draw-method - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5, Input/output error -}
{+ GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-apl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-xtiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-xtiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb2101010-blt-ytiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-xtiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb2101010-blt-ytiled.html
Comment 6 CI Bug Log 2019-01-30 14:47:51 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GUC: random tests - fail / dmesg-fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0 -}
{+ GUC: random tests - fail / dmesg-fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-apl-guc/igt@kms_plane_scaling@pipe-c-scaler-with-rotation.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-apl-guc/igt@kms_plane_multiple@atomic-pipe-c-tiling-y.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-apl-guc/igt@kms_flip@flip-vs-fences-interruptible.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-apl-guc/igt@kms_rotation_crc@primary-rotation-90.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-apl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_plane_multiple@atomic-pipe-c-tiling-yf.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_plane_scaling@pipe-c-scaler-with-rotation.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_plane_multiple@atomic-pipe-c-tiling-y.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_flip@flip-vs-fences-interruptible.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_rotation_crc@primary-rotation-90.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_plane_multiple@atomic-pipe-c-tiling-yf.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_plane_scaling@pipe-c-scaler-with-rotation.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_plane_multiple@atomic-pipe-c-tiling-y.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_flip@flip-vs-fences-interruptible.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_rotation_crc@primary-rotation-90.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
Comment 7 CI Bug Log 2019-01-31 14:33:55 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 -}
{+ GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-cfl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb8888-blt-untiled.html
Comment 8 CI Bug Log 2019-02-02 09:55:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 -}
{+ GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-apl-guc/igt@kms_draw_crc@draw-method-xrgb2101010-blt-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-skl-guc/igt@kms_draw_crc@draw-method-xrgb2101010-blt-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-pgflip-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-draw-render.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-pwrite.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-indfb-draw-pwrite.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-apl-guc/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-mmap-wc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-cfl-guc/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-cfl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-indfb-draw-pwrite.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-pgflip-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-draw-render.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-indfb-draw-pwrite.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_draw_crc@draw-method-rgb565-blt-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-mmap-wc.html
Comment 9 CI Bug Log 2019-02-02 09:56:58 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 -}
{+ GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-wc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-2p-scndscrn-indfb-pgflip-blt.html
Comment 10 CI Bug Log 2019-02-03 12:37:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GUC: igt@kms_draw_crc@draw-method*-blt-[xy]tiled - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 -}
{+ GUC: igt@* - fail - Failed assertion: (drm_intel_gem_bo_context_exec(batch-&gt;bo, ctx, used, ring)) == 0, Last errno: 5 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-2p-primscrn-pri-indfb-draw-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-wc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-onoff.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-skl-guc/igt@kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-move.html
Comment 12 Daniele Ceraolo Spurio 2019-07-26 22:46:44 UTC
This is a bug with old-style GuC submission on the old FW. GuC submission is currently disabled and we're going to re-enable it with a completely new flow, so closing this bug.
Comment 13 CI Bug Log 2019-08-21 13:30:09 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.